<?php
/**
 * Collection of plugin helper functions.
 *
 * @package Cream_Blog
 */

if ( ! function_exists( 'glaze_blog_lite_single_sidebar_position' ) ) {
	/**
	 * Function for getting sidebar position for single post and page.
	 */
	function glaze_blog_lite_single_sidebar_position() {

		if ( class_exists( 'Perfectwpthemes_Toolkit' ) ) {

			return perfectwpthemes_toolkit_single_sidebar_position();
		}
	}
}


if ( ! function_exists( 'glaze_blog_lite_single_layout' ) ) {
	/**
	 * Function for getting layout for single post and page.
	 */
	function glaze_blog_lite_single_layout() {

		if ( class_exists( 'Perfectwpthemes_Toolkit' ) ) {

			return perfectwpthemes_toolkit_single_layout();
		}
	}
}


if ( ! function_exists( 'glaze_blog_lite_social_share' ) ) {
	/**
	 * Function for social share template.
	 */
	function glaze_blog_lite_social_share() {

		if ( class_exists( 'Perfectwpthemes_Toolkit' ) ) {

			return perfectwpthemes_toolkit_social_share();
		}
	}
}


if ( ! function_exists( 'glaze_blog_lite_is_social_share_enabled' ) ) {
	/**
	 * Function to check if social share is enabled.
	 */
	function glaze_blog_lite_is_social_share_enabled() {

		if ( class_exists( 'Perfectwpthemes_Toolkit' ) && perfectwpthemes_toolkit_is_social_share_enabled() === true ) {
			return true;
		} else {
			return false;
		}
	}
}


if ( ! function_exists( 'glaze_blog_lite_author_title' ) ) {
	/**
	 * Function for author title template.
	 */
	function glaze_blog_lite_author_title() {

		if ( class_exists( 'Perfectwpthemes_Toolkit' ) ) {

			return perfectwpthemes_toolkit_author_title();
		} else {

			return false;
		}
	}
}


if ( ! function_exists( 'glaze_blog_lite_author_links' ) ) {
	/**
	 * Function for author links template.
	 */
	function glaze_blog_lite_author_links() {

		if ( class_exists( 'Perfectwpthemes_Toolkit' ) ) {

			return perfectwpthemes_toolkit_author_links();
		} else {

			return false;
		}
	}
}
